%global _hardened_build 1
%global libname joedog
%global current 0

Name:           lib%{libname}
Version:        %{current}.1.2
Release:    1%{?dist}
Summary:        Repack of the common code base of fido and siege as shared library

License:        GPLv2+ and LGPLv2+
URL:            http://www.%{libname}.org/
Source0:        https://github.com/rmohr/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0: libjoedog-c99.patch

%{?el5:BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)}
BuildRequires:  libtool
BuildRequires: make

%description
%{name} is a library containing the common code base of siege and fido by Jeff
Fulmer. It consists mostly of convenience wrapper functions and a hash table
implementation.


%package devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}


%prep
%autosetup -p1
mkdir -p m4
autoreconf -fi


%build
%configure --disable-static
sed -i -e 's! \\\$compiler_flags !&%{?_hardening_ldflags} !' libtool
make %{?_smp_mflags}


%install
%if 0%{?el5}
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%else
%make_install
%endif

install -Dpm 0644 config.h %{buildroot}%{_includedir}/%{libname}
rm -f %{buildroot}%{_libdir}/%{name}.la





%files
%doc README ChangeLog COPYING
%{_libdir}/%{name}.so.%{current}
%{_libdir}/%{name}.so.%{version}


%files devel
%{_includedir}/%{libname}
%{_libdir}/%{name}.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - %{current}.1.2-1
- initial build
